Page MenuHomePhabricator

Replace accepted-prefix-limit with prefix-limit
Closed, ResolvedPublic

Description

Learned the differences and advantages through https://youtu.be/_wRvNINnSQg?list=WL&t=569

If worth doing, I see 2 things to keep in mind:
1/ Does replacing accepted-prefix-limit with prefix-limit cause the peer to bounce?
2/ Peers sending us an amount of routes close to accepted-prefix-limit (if any) could trigger the prefix-limit, in this case, we need to increase that limit

Event Timeline

ayounsi triaged this task as Low priority.Dec 11 2018, 10:00 PM
ayounsi created this task.
Restricted Application added a project: Operations. · View Herald TranscriptDec 11 2018, 10:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ayounsi reassigned this task from ayounsi to faidon.Jan 17 2019, 12:01 AM

Over to Faidon for feedback.

mark added a subscriber: mark.Jan 23 2019, 2:23 PM

Yes, we should probably move over to prefix-limit to prevent (improving) filters from making accepted-prefix-limit ineffective.

  1. Is worth checking indeed, I suppose we can do that on a single peer first.
  1. Probably... if we have any peers where we are actually filtering out announcements, it may be worth reconsidering we still want to have them as a peer. :)
ayounsi claimed this task.Jan 23 2019, 3:57 PM

Mentioned in SAL (#wikimedia-operations) [2019-04-02T00:19:14Z] <XioNoX> replacing accepted-prefix-limit with prefix-limit on one ulsfo peer - T211730

Confirmed that replacing accepted-prefix-limit with prefix-limit does NOT cause the peer to bounce.

Mentioned in SAL (#wikimedia-operations) [2019-04-02T00:25:35Z] <XioNoX> replacing accepted-prefix-limit with prefix-limit on all ulsfo peers - T211730

Mentioned in SAL (#wikimedia-operations) [2019-04-02T00:40:34Z] <XioNoX> replacing accepted-prefix-limit with prefix-limit in [co|eq]dfw - T211730

Mentioned in SAL (#wikimedia-operations) [2019-04-02T01:14:40Z] <XioNoX> replacing accepted-prefix-limit with prefix-limit in eqord - T211730

Mentioned in SAL (#wikimedia-operations) [2019-04-02T01:17:59Z] <XioNoX> replacing accepted-prefix-limit with prefix-limit on cr1-eqiad - T211730

Mentioned in SAL (#wikimedia-operations) [2019-04-02T16:12:05Z] <XioNoX> - replacing accepted-prefix-limit with prefix-limit on cr2-eqiad - T211730

Mentioned in SAL (#wikimedia-operations) [2019-04-02T16:36:55Z] <XioNoX> - replacing accepted-prefix-limit with prefix-limit on esams - T211730

Mentioned in SAL (#wikimedia-operations) [2019-04-02T16:47:22Z] <XioNoX> - replacing accepted-prefix-limit with prefix-limit in eqsin - T211730

ayounsi closed this task as Resolved.Apr 2 2019, 5:13 PM

All set, no down or bouncing peers, no mentions of accepted-prefix-limit in Rancid